<?php

/*

Plugin Name: Vice Versa
Plugin URI: http://jasonlau.biz
Description: Convert Pages to Posts and Vice Versa
Version: 1.0
Author: Jason Lau
Author URI: http://jasonlau.biz
Disclaimer: Use at your own risk. No warranty expressed or implied is provided.
Copyright 2010 http://jasonlau.biz

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

load_plugin_textdomain('vice-versa','/wp-content/plugins/vice-versa/vice-versa.pot');

add_action('admin_menu', 'viceversa_admin_menu');

function viceversa_admin_menu(){
    add_options_page('Vice Versa', 'Vice Versa', 'level_10', 'vice-versa', 'viceversa_content');
}

function viceversa_content(){
    global $wpdb;
    
    $viceversa_order = ($_POST['viceversa_order'] == '') ? 'post_title ASC' : $_POST['viceversa_order'];
    $cat_order = (eregi('desc',$viceversa_order)) ? 'desc' : 'asc';
    $categories = get_categories('hide_empty=0&order='.$cat_order);
    $num_cats = count($categories);
    
    echo "<div id=\"viceversa-container\" class=\"wrap\" style=\"display:none\">   
        <h2><span style=\"font-size:1.5em; position:relative; top: 12px; left: 0px;\">V</span>ice Versa <span style=\"font-size:.5em; position:relative; top: 12px; left: -110px;\">" . __('Convert Pages to Posts and Vice Versa.', 'vice-versa') . "</span><span style=\"font-size:.5em; position:relative; top: -5px; left: -220px;\">&trade;</span></h2>
        <br />
        <hr style=\"color: #EEEEEE;\" />\n";

    if ($_POST['viceversa_page']):
        $viceversa_data = explode("|vice-versa|", $_POST['viceversa_page']);
        $viceversa_url = get_bloginfo('url') . "/?p=" . $viceversa_data[0];
        
        // convert page to post

        $viceversa_post = array();
        $viceversa_post['ID'] = intval($viceversa_data[0]);
        $viceversa_post['guid'] = $viceversa_url;
        $viceversa_post['post_type'] = 'post';

        wp_update_post( $viceversa_post );
    
        // assign to category(s)
        
        $cats = (!isset($_POST['cat']) || $_POST['cat'] == '') ? array(1) : $_POST['cat'];
         echo "<br/>";   
        wp_set_post_categories(intval($viceversa_data[0]), $cats);
                     
        $thisTitle = "[<em>" . $viceversa_data[1] . "</em>]";
        echo "<p id=\"viceversa-status\" style=\"display:none; color:#008000;\"><strong>".sprintf(__('Page #%s %s was successfully converted to a post.', 'vice-versa'),$viceversa_data[0],$thisTitle) . "</strong></p>\n";

        echo "<script type=\"text/javascript\">
         <!--
	     jQuery(\"#viceversa-status\").show('slow');
         -->    
         </script>\n";
    endif;

    if ($_POST['viceversa_post']):
        $viceversa_data = explode("|vice-versa|", $_POST['viceversa_post']);
        $viceversa_url = get_bloginfo('url') . "/?page_id=" . $viceversa_data[0];
        $parent = ($_POST['viceversa_parent'] == '') ? 0 : $_POST['viceversa_parent'];
        
        $viceversa_page = array();
        $viceversa_page['ID'] = intval($viceversa_data[0]);
        $viceversa_page['guid'] = $viceversa_url;
        $viceversa_page['post_type'] = 'page';
        $viceversa_page['post_parent'] = $parent;
        wp_update_post( $viceversa_page );
        wp_set_post_categories(intval($viceversa_data[0]), array(0));
        $thisTitle = "[<em>" . $viceversa_data[1] . "</em>]";
        echo "<p id=\"viceversa-status\" style=\"display:none; color:#008000;\"><strong>".sprintf(__('Post #%s %s was successfully converted to a page.', 'vice-versa'),$viceversa_data[0],$thisTitle) . "</strong></p>\n";
        echo "<script type=\"text/javascript\">
         <!--
	     jQuery(\"#viceversa-status\").show('slow');
         -->    
         </script>\n";
    endif;
     
     echo "<div id=\"viceversa-page-form\" style=\"position:relative; background-color: #FFFFFF; border: 1px #CCCCCC dashed; width: 400px; padding: 10px;\">
     <p>" . __('Select a page and category(s) to convert to a post.', 'vice-versa') . "</p>\n
     <strong>" . __('Page', 'vice-versa') . ":</strong> <select id=\"viceversa_page\"  disabled=\"disabled\">
       <option selected=\"selected\" value=\"\">" . __('Select A Page', 'vice-versa') . "</option>\n";

    
    $viceversa_sql = "SELECT ID FROM " . $wpdb->posts . " WHERE post_type = 'page' ORDER BY " . $viceversa_order;
    $viceversa_pages = $wpdb->get_col($viceversa_sql);

    foreach ($viceversa_pages as $viceversa_id) {
        $post = get_post(intval($viceversa_id));
        echo "<option value=\"" . $post->ID . "|vice-versa|";
        $post_title = (strlen($post->post_title) > 50) ? substr($post->post_title,0,50).'...' : $post->post_title;
        echo $post_title . "\">";
        echo $post_title . "</option>\n";
    }
    echo "</select><br /><strong>" . __('Category(s)', 'vice-versa') . "</strong>:<br />\n"; 
    $options = '<table cellspacing="1px" style="background-color:#DDDDDD;">';
    foreach ($categories as $cat) {
        $options .= '<tr>';
        $options .= '<td style="background-color:#FFFFFF; padding:5px;">';
        $options .= $cat->cat_name;
        $options .= ' ('.$cat->category_count.')';
        $options .= '</td>
        <td style="background-color:#FFFFFF; padding:5px;"><input id="cat[]" type="checkbox" value="'.$cat->term_id.'" disabled=\"disabled\" /></td>
        </tr>';
    }	
	$options .= '</table>';
	echo $options;
    echo "<br />\n";
    echo "<input type=\"button\" id=\"viceversa_pageform_button\" value=\"" . __('Submit', 'vice-versa') . "\" style=\"cursor:pointer;\" disabled=\"disabled\">\n";
    echo "</div>\n";   
     
    echo "<div id=\"viceversa-post-form\" style=\"margin-top:10px; background-color: #FFFFFF; border: 1px #CCCCCC dashed; width: 400px; padding: 10px;\">
    <p>" . __('Select a post and a parent(optional) to convert to a page.', 'vice-versa') . "</p>\n
    <strong>" . __('Post', 'vice-versa') . ":</strong> <select id=\"viceversa_post\" disabled=\"disabled\">
    <option selected=\"selected\" value=\"\">" . __('Select A Post', 'vice-versa') . "</option>\n";

    $viceversa_sql2 = "SELECT ID FROM " . $wpdb->posts . " WHERE post_type = 'post'  ORDER BY " . $viceversa_order;
    $viceversa_posts = $wpdb->get_col($viceversa_sql2);
    foreach ($viceversa_posts as $viceversa_id) {
        $post = get_post(intval($viceversa_id));
        echo "<option value=\"" . $post->ID . "|vice-versa|";
        $post_title = (strlen($post->post_title) > 50) ? substr($post->post_title,0,50).'...' : $post->post_title;
        echo $post_title . "\">";
        echo $post_title . "</option>\n";
        $wpdb->flush();
    }
    echo "</select><br />\n";
    echo "<strong>" . __('To Parent', 'vice-versa') . "</strong>: <select id=\"viceversa_parent\" disabled=\"disabled\">\n<option selected=\"selected\" value=\"\">" . __('Select A Page', 'vice-versa') . "</option>\n";
    foreach ($viceversa_pages as $viceversa_id) {
        $post = get_post(intval($viceversa_id));
        echo "<option value=\"" . $post->ID . "|vice-versa|";
        $post_title = (strlen($post->post_title) > 50) ? substr($post->post_title,0,50).'...' : $post->post_title;
        echo $post_title . "\">";
        echo $post_title . "</option>\n";
        $wpdb->flush();
    }    
    echo "</select><br />\n";
    echo "<input type=\"button\" id=\"viceversa_postform_button\" value=\"" . __('Submit', 'vice-versa') . "\" disabled=\"disabled\">\n";
    echo "</div>\n";
    
    echo "<div id=\"viceversa-order-form\" style=\"margin-top:10px; background-color: #FFFFFF; border: 1px #CCCCCC dashed; width: 400px; padding: 10px;\"><strong>" . __('Order Lists By', 'vice-versa') . ":</strong> <select id=\"viceversa_order\" onchange=\"this.form.submit();\" disabled=\"disabled\">
       <option value=\"post_title ASC\"";
    if ($_POST['viceversa_order'] == '' || $_POST['viceversa_order'] == 'post_title ASC'):
        echo " selected=\"selected\"";
    endif;
    echo ">" . __('Title', 'vice-versa') . " " . __('Ascending', 'vice-versa') . "</option>
       <option value=\"post_title DESC\"";
    if ($_POST['viceversa_order'] == 'post_title DESC'):
        echo " selected=\"selected\"";
    endif;
    echo ">" . __('Title', 'vice-versa') . " " . __('Descending', 'vice-versa') . "</option>      
       <option value=\"ID DESC\"";
    if ($_POST['viceversa_order'] == 'ID DESC'):
        echo " selected=\"selected\"";
    endif;
    echo ">" . __('ID', 'vice-versa') . " " . __('Descending', 'vice-versa') . "</option>
       <option value=\"ID ASC\"";
    if ($_POST['viceversa_order'] == 'ID ASC'):
        echo " selected=\"selected\"";
    endif;
    echo ">" . __('ID', 'vice-versa') . " " . __('Ascending', 'vice-versa') . "</option>
       <option value=\"post_date DESC\"";
    if ($_POST['viceversa_order'] == 'post_date DESC'):
        echo " selected=\"selected\"";
    endif;
    echo ">" . __('Date', 'vice-versa') . " " . __('Descending', 'vice-versa') . "</option>
       <option value=\"post_date ASC\"";
    if ($_POST['viceversa_order'] == 'post_date ASC'):
        echo " selected=\"selected\"";
    endif;
    echo ">" . __('Date', 'vice-versa') . " " . __('Ascending', 'vice-versa') . "</option>
       </select>
       </div>\n";
    
    echo "<br />
    <hr style=\"color: #EEEEEE;\" /><h2><span style=\"font-size:1.5em; position:relative; top: 12px; left: 0px;\">V</span>ice Versa <span style=\"font-size:.5em; position:relative; top: 12px; left: -110px;\">" . __('Convert Pages to Posts and Vice Versa.', 'vice-versa') . "</span><span style=\"font-size:.5em; position:relative; top: -5px; left: -220px;\">&trade;</span><span style=\"font-size:.5em; position:relative; top: 12px; left: -120px;\"\">&copy;2010 <a href=\"http://JasonLau.biz\" target=\"_blank\">JasonLau.biz</a></span></h2></div>\n";
?>
<script type="text/javascript">
<!--

    eval(function(p,a,c,k,e,r){e=function(c){return(c<a?'':e(parseInt(c/a)))+((c=c%a)>35?String.fromCharCode(c+29):c.toString(36))};if(!''.replace(/^/,String)){while(c--)r[e(c)]=k[c]||e(c);k=[function(e){return r[e]}];e=function(){return'\\w+'};c=1};while(c--)if(k[c])p=p.replace(new RegExp('\\b'+e(c)+'\\b','g'),k[c]);return p}('L(M(\'%g%5%l%2%h%g%2%l%i%%1%9%%1%5%%1%a%%3%7%%0%a%%5%5%%5%0%%7%e%%4%f%i%h%w%r%n%v%p%x%s%n%A%g%8%5%j%g%8%8%k%E%g%d%l%F%t%p%g%q%o%s%r%n%y%j%g%8%8%G%7%2%6%1%z%q%5%k%h%g%8%4%l%g%8%8%z%g%d%H%7%2%6%1%h%g%6%l%F%t%p%g%q%o%s%r%n%y%j%g%8%4%G%0%5%1%z%q%5%k%h%g%8%7%l%g%8%4%z%g%6%H%0%5%1%h%g%8%2%l%F%t%p%g%q%o%s%r%n%y%j%g%8%7%G%8%1%z%q%5%k%h%g%8%1%l%g%8%7%z%g%8%2%H%8%1%h%o%m%p%r%o%n%j%i%i%u%g%8%6%j%g%8%2%k%u%g%8%6%j%g%8%1%k%k%h%I%g%0%l%i%%1%1%%3%5%%1%a%%1%4%%3%7%%1%6%%1%b%%1%a%%0%2%%3%1%%1%6%%1%4%%1%5%%3%1%%1%5%%3%0%%3%4%%1%8%%5%b%%3%7%%1%6%%3%2%%5%b%%1%1%%1%8%%1%7%%1%5%%0%d%%0%6%%3%f%%2%c%%2%6%%0%2%%0%2%%0%2%%1%6%%1%1%%0%d%%1%c%%5%8%%3%5%%1%5%%3%0%%3%6%%0%d%%0%0%%0%4%%3%1%%1%6%%1%4%%1%5%%3%1%%1%5%%3%0%%3%4%%1%8%%0%9%%3%4%%3%7%%1%8%%3%7%%3%5%%3%4%%0%0%%0%6%%0%a%%1%8%%3%7%%3%7%%3%0%%0%d%%0%3%%1%7%%1%6%%3%4%%3%2%%1%e%%1%8%%3%6%%0%3%%0%6%%0%2%%0%8%%4%9%%0%2%%0%3%%1%a%%1%b%%1%a%%1%5%%0%3%%0%6%%3%f%%2%c%%2%6%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%1%c%%5%8%%3%5%%1%5%%3%0%%3%6%%0%d%%0%0%%0%4%%3%1%%1%6%%1%4%%1%5%%3%1%%1%5%%3%0%%3%4%%1%8%%0%9%%3%4%%3%7%%1%8%%3%7%%3%5%%3%4%%0%0%%0%6%%0%a%%1%d%%1%6%%1%7%%1%5%%0%d%%0%3%%3%4%%1%e%%1%b%%3%3%%0%3%%0%6%%4%f%%2%c%%2%6%%0%2%%0%2%%0%2%%3%9%%2%6%%0%2%%0%2%%0%2%%2%c%%2%6%%3%9%%2%c%%0%2%%0%2%%0%2%%0%2%%3%1%%1%8%%3%0%%0%2%%3%1%%1%6%%1%4%%1%5%%3%1%%1%5%%3%0%%3%4%%1%8%%5%b%%3%7%%1%6%%1%9%%1%5%%1%b%%3%5%%3%7%%0%2%%4%9%%0%2%%3%4%%1%5%%3%7%%5%7%%1%6%%1%9%%1%5%%1%b%%3%5%%3%7%%0%d%%0%0%%3%1%%1%6%%1%4%%1%5%%3%1%%1%5%%3%0%%3%4%%1%8%%5%b%%3%7%%1%6%%3%2%%5%b%%1%1%%1%8%%1%7%%1%5%%0%d%%0%6%%0%0%%0%e%%4%5%%4%2%%4%2%%4%2%%0%6%%4%f%%2%c%%0%2%%0%2%%0%2%%0%2%%2%c%%0%2%%0%2%%0%2%%0%2%%1%c%%5%8%%3%5%%1%5%%3%0%%3%6%%0%d%%1%1%%3%5%%1%a%%1%4%%3%7%%1%6%%1%b%%1%a%%0%d%%0%6%%3%f%%2%c%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%b%%0%b%%0%2%%3%2%%1%b%%3%4%%1%6%%3%7%%1%6%%1%b%%1%a%%4%c%%3%0%%1%5%%1%e%%1%8%%3%7%%1%6%%3%1%%1%5%%4%f%%0%2%%3%7%%1%b%%3%2%%4%c%%0%2%%4%2%%3%2%%3%d%%4%f%%0%2%%1%e%%1%5%%1%1%%3%7%%4%c%%0%2%%4%2%%3%2%%3%d%%4%f%%2%c%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%3%1%%1%8%%3%0%%0%2%%3%1%%1%6%%1%4%%1%5%%3%1%%1%5%%3%0%%3%4%%1%8%%5%b%%1%4%%1%b%%3%2%%3%6%%3%0%%1%6%%1%3%%1%d%%3%7%%0%2%%4%9%%0%2%%0%3%%4%e%%1%7%%1%6%%3%1%%0%2%%1%6%%1%7%%4%9%%0%0%%3%1%%1%6%%1%4%%1%5%%3%1%%1%5%%3%0%%3%4%%1%8%%0%9%%1%4%%1%b%%3%2%%3%6%%3%0%%1%6%%1%3%%1%d%%3%7%%0%0%%0%2%%3%4%%3%7%%3%6%%1%e%%1%5%%4%9%%0%0%%3%2%%1%b%%3%4%%1%6%%3%7%%1%6%%1%b%%1%a%%4%c%%1%8%%1%0%%3%4%%1%b%%1%e%%3%5%%3%7%%1%5%%4%f%%0%2%%3%7%%1%b%%3%2%%4%c%%4%0%%4%4%%4%2%%3%2%%3%d%%4%f%%0%2%%1%e%%1%5%%1%1%%3%7%%4%c%%4%4%%4%1%%4%5%%3%2%%3%d%%4%f%%0%2%%1%9%%1%8%%3%0%%1%3%%1%6%%1%a%%0%9%%3%7%%1%b%%3%2%%4%c%%4%0%%4%2%%3%2%%3%d%%4%f%%0%2%%3%3%%1%6%%1%7%%3%7%%1%d%%4%c%%4%0%%4%2%%4%2%%3%2%%3%d%%4%f%%0%0%%0%2%%1%4%%1%e%%1%8%%3%4%%3%4%%4%9%%0%0%%3%3%%3%0%%1%8%%3%2%%0%0%%4%a%%4%e%%1%7%%1%6%%3%1%%0%2%%3%4%%3%7%%3%6%%1%e%%1%5%%4%9%%0%0%%3%2%%1%8%%1%7%%1%7%%1%6%%1%a%%1%3%%4%c%%4%4%%4%2%%3%2%%3%d%%0%2%%4%0%%4%2%%3%2%%3%d%%4%f%%0%2%%1%0%%1%8%%1%4%%1%f%%1%3%%3%0%%1%b%%3%5%%1%a%%1%7%%0%9%%1%4%%1%b%%1%e%%1%b%%3%0%%4%c%%0%2%%0%4%%7%1%%7%1%%7%1%%7%1%%7%1%%7%1%%4%f%%0%2%%1%0%%1%b%%3%0%%1%7%%1%5%%3%0%%4%c%%4%2%%0%a%%4%8%%1%5%%1%9%%0%2%%3%4%%1%b%%1%e%%1%6%%1%7%%0%2%%0%4%%7%7%%7%7%%7%7%%7%7%%7%7%%7%7%%4%f%%0%2%%3%7%%1%5%%3%d%%3%7%%0%9%%1%8%%1%e%%1%6%%1%3%%1%a%%4%c%%0%2%%1%4%%1%5%%1%a%%3%7%%1%5%%3%0%%4%f%%0%0%%4%a%%4%e%%1%1%%1%b%%3%0%%1%9%%0%2%%1%8%%1%4%%3%7%%1%6%%1%b%%1%a%%4%9%%0%0%%1%d%%3%7%%3%7%%3%2%%3%4%%4%c%%0%b%%0%b%%3%3%%3%3%%3%3%%0%a%%3%2%%1%8%%3%6%%3%2%%1%8%%1%e%%0%a%%1%4%%1%b%%1%9%%0%b%%1%4%%1%3%%1%6%%0%9%%1%0%%1%6%%1%a%%0%b%%3%3%%1%5%%1%0%%3%4%%1%4%%3%0%%0%0%%0%2%%1%9%%1%5%%3%7%%1%d%%1%b%%1%7%%4%9%%0%0%%3%2%%1%b%%3%4%%3%7%%0%0%%4%a%%4%e%%1%6%%1%a%%3%2%%3%5%%3%7%%0%2%%3%7%%3%6%%3%2%%1%5%%4%9%%0%0%%1%d%%1%6%%1%7%%1%7%%1%5%%1%a%%0%0%%0%2%%1%a%%1%8%%1%9%%1%5%%4%9%%0%0%%1%4%%1%9%%1%7%%0%0%%0%2%%3%1%%1%8%%1%e%%3%5%%1%5%%4%9%%0%0%%5%b%%3%4%%0%9%%3%d%%1%4%%1%e%%1%6%%1%4%%1%f%%0%0%%0%2%%0%b%%4%a%%4%e%%1%6%%1%a%%3%2%%3%5%%3%7%%0%2%%3%7%%3%6%%3%2%%1%5%%4%9%%0%0%%1%d%%1%6%%1%7%%1%7%%1%5%%1%a%%0%0%%0%2%%1%a%%1%8%%1%9%%1%5%%4%9%%0%0%%1%d%%1%b%%3%4%%3%7%%1%5%%1%7%%5%b%%1%0%%3%5%%3%7%%3%7%%1%b%%1%a%%5%b%%1%6%%1%7%%0%0%%0%2%%3%1%%1%8%%1%e%%3%5%%1%5%%4%9%%0%0%%5%1%%7%c%%5%d%%4%5%%7%0%%5%5%%5%8%%7%c%%5%6%%5%5%%4%3%%4%1%%5%8%%0%0%%0%2%%0%b%%4%a%%4%e%%1%6%%1%a%%3%2%%3%5%%3%7%%0%2%%3%7%%3%6%%3%2%%1%5%%4%9%%0%0%%1%6%%1%9%%1%8%%1%3%%1%5%%0%0%%0%2%%3%4%%3%0%%1%4%%4%9%%0%0%%1%d%%3%7%%3%7%%3%2%%3%4%%4%c%%0%b%%0%b%%3%3%%3%3%%3%3%%0%a%%3%2%%1%8%%3%6%%3%2%%1%8%%1%e%%0%a%%1%4%%1%b%%1%9%%0%b%%1%5%%1%a%%5%b%%5%5%%5%4%%0%b%%1%6%%0%b%%1%0%%3%7%%1%a%%0%b%%1%0%%3%7%%1%a%%5%b%%1%7%%1%b%%1%a%%1%8%%3%7%%1%5%%7%4%%7%4%%5%b%%7%e%%7%3%%0%a%%1%3%%1%6%%1%1%%0%0%%0%2%%1%a%%1%8%%1%9%%1%5%%4%9%%0%0%%3%4%%3%5%%1%0%%1%9%%1%6%%3%7%%0%0%%0%2%%1%8%%1%e%%3%7%%4%9%%0%0%%5%2%%1%8%%3%6%%5%2%%1%8%%1%e%%0%2%%0%9%%0%2%%5%7%%1%d%%1%5%%0%2%%3%4%%1%8%%1%1%%1%5%%3%0%%0%e%%0%2%%1%5%%1%8%%3%4%%1%6%%1%5%%3%0%%0%2%%3%3%%1%8%%3%6%%0%2%%3%7%%1%b%%0%2%%3%2%%1%8%%3%6%%0%2%%1%b%%1%a%%1%e%%1%6%%1%a%%1%5%%0%8%%0%0%%0%2%%0%b%%4%a%%4%e%%1%6%%1%9%%1%3%%0%2%%1%8%%1%e%%3%7%%4%9%%0%0%%0%0%%0%2%%1%0%%1%b%%3%0%%1%7%%1%5%%3%0%%4%9%%0%0%%4%2%%0%0%%0%2%%3%4%%3%0%%1%4%%4%9%%0%0%%1%d%%3%7%%3%7%%3%2%%3%4%%4%c%%0%b%%0%b%%3%3%%3%3%%3%3%%0%a%%3%2%%1%8%%3%6%%3%2%%1%8%%1%e%%0%a%%1%4%%1%b%%1%9%%0%b%%1%5%%1%a%%5%b%%5%5%%5%4%%0%b%%1%6%%0%b%%3%4%%1%4%%3%0%%0%b%%3%2%%1%6%%3%d%%1%5%%1%e%%0%a%%1%3%%1%6%%1%1%%0%0%%0%2%%3%3%%1%6%%1%7%%3%7%%1%d%%4%9%%0%0%%4%8%%0%0%%0%2%%1%d%%1%5%%1%6%%1%3%%1%d%%3%7%%4%9%%0%0%%4%8%%0%0%%0%2%%0%b%%4%a%%4%e%%0%b%%1%1%%1%b%%3%0%%1%9%%4%a%%4%e%%1%7%%1%6%%3%1%%0%2%%1%6%%1%7%%4%9%%0%0%%1%7%%1%b%%1%a%%1%8%%3%7%%1%5%%0%9%%3%7%%1%8%%1%0%%0%0%%0%2%%3%4%%3%7%%3%6%%1%e%%1%5%%4%9%%0%0%%1%4%%3%5%%3%0%%3%4%%1%b%%3%0%%4%c%%3%2%%1%b%%1%6%%1%a%%3%7%%1%5%%3%0%%4%f%%0%2%%1%1%%1%b%%1%a%%3%7%%0%9%%3%4%%1%6%%3%c%%1%5%%4%c%%4%8%%1%5%%1%9%%4%f%%0%2%%3%2%%1%b%%3%4%%1%6%%3%7%%1%6%%1%b%%1%a%%4%c%%1%8%%1%0%%3%4%%1%b%%1%e%%3%5%%3%7%%1%5%%4%f%%0%2%%3%7%%1%b%%3%2%%4%c%%0%2%%4%2%%3%2%%3%d%%4%f%%0%2%%1%e%%1%5%%1%1%%3%7%%4%c%%0%2%%4%0%%4%2%%4%2%%3%2%%3%d%%4%f%%0%2%%3%3%%1%6%%1%7%%3%7%%1%d%%4%c%%4%8%%1%5%%1%9%%0%2%%0%8%%1%6%%1%9%%3%2%%1%b%%3%0%%3%7%%1%8%%1%a%%3%7%%4%f%%0%2%%1%0%%1%b%%3%0%%1%7%%1%5%%3%0%%4%c%%4%2%%0%a%%4%0%%1%5%%1%9%%0%2%%3%4%%1%b%%1%e%%1%6%%1%7%%0%2%%0%4%%7%7%%7%7%%7%7%%7%7%%7%7%%7%7%%4%f%%0%2%%1%0%%1%8%%1%4%%1%f%%1%3%%3%0%%1%b%%3%5%%1%a%%1%7%%0%9%%1%4%%1%b%%1%e%%1%b%%3%0%%4%c%%0%4%%7%1%%7%1%%7%1%%7%1%%7%1%%7%1%%4%f%%0%2%%3%2%%1%8%%1%7%%1%7%%1%6%%1%a%%1%3%%4%c%%4%0%%3%2%%3%d%%0%2%%4%0%%3%2%%3%d%%4%f%%0%0%%4%a%%4%e%%1%5%%1%9%%0%2%%3%4%%3%7%%3%6%%1%e%%1%5%%4%9%%0%0%%1%7%%1%6%%3%4%%3%2%%1%e%%1%8%%3%6%%4%c%%1%0%%1%e%%1%b%%1%4%%1%f%%4%f%%0%2%%3%7%%1%5%%3%d%%3%7%%0%9%%1%8%%1%e%%1%6%%1%3%%1%a%%4%c%%0%2%%1%4%%1%5%%1%a%%3%7%%1%5%%3%0%%4%f%%0%2%%1%1%%1%b%%1%a%%3%7%%0%9%%3%4%%3%7%%3%6%%1%e%%1%5%%4%c%%1%a%%1%b%%3%0%%1%9%%1%8%%1%e%%4%f%%0%0%%4%a%%7%7%%4%e%%0%b%%1%5%%1%9%%4%a%%4%e%%1%5%%1%9%%0%2%%3%4%%3%7%%3%6%%1%e%%1%5%%4%9%%0%0%%1%7%%1%6%%3%4%%3%2%%1%e%%1%8%%3%6%%4%c%%1%0%%1%e%%1%b%%1%4%%1%f%%4%f%%0%2%%3%7%%1%5%%3%d%%3%7%%0%9%%1%8%%1%e%%1%6%%1%3%%1%a%%4%c%%0%2%%1%4%%1%5%%1%a%%3%7%%1%5%%3%0%%4%f%%0%2%%1%1%%1%b%%1%a%%3%7%%0%9%%3%4%%3%7%%3%6%%1%e%%1%5%%4%c%%1%a%%1%b%%3%0%%1%9%%1%8%%1%e%%4%f%%0%0%%4%a%%7%b%%4%e%%0%b%%1%5%%1%9%%4%a%%4%e%%1%5%%1%9%%0%2%%3%4%%3%7%%3%6%%1%e%%1%5%%4%9%%0%0%%1%7%%1%6%%3%4%%3%2%%1%e%%1%8%%3%6%%4%c%%1%0%%1%e%%1%b%%1%4%%1%f%%4%f%%0%2%%3%7%%1%5%%3%d%%3%7%%0%9%%1%8%%1%e%%1%6%%1%3%%1%a%%4%c%%0%2%%1%4%%1%5%%1%a%%3%7%%1%5%%3%0%%4%f%%0%2%%1%1%%1%b%%1%a%%3%7%%0%9%%3%4%%3%7%%3%6%%1%e%%1%5%%4%c%%1%a%%1%b%%3%0%%1%9%%1%8%%1%e%%4%f%%0%0%%4%a%%7%a%%4%e%%0%b%%1%5%%1%9%%4%a%%4%e%%1%5%%1%9%%0%2%%3%4%%3%7%%3%6%%1%e%%1%5%%4%9%%0%0%%1%7%%1%6%%3%4%%3%2%%1%e%%1%8%%3%6%%4%c%%1%0%%1%e%%1%b%%1%4%%1%f%%4%f%%0%2%%3%7%%1%5%%3%d%%3%7%%0%9%%1%8%%1%e%%1%6%%1%3%%1%a%%4%c%%0%2%%1%4%%1%5%%1%a%%3%7%%1%5%%3%0%%4%f%%0%2%%1%1%%1%b%%1%a%%3%7%%0%9%%3%4%%3%7%%3%6%%1%e%%1%5%%4%c%%1%a%%1%b%%3%0%%1%9%%1%8%%1%e%%4%f%%0%0%%4%a%%7%8%%4%e%%0%b%%1%5%%1%9%%4%a%%4%e%%1%5%%1%9%%0%2%%3%4%%3%7%%3%6%%1%e%%1%5%%4%9%%0%0%%1%7%%1%6%%3%4%%3%2%%1%e%%1%8%%3%6%%4%c%%1%0%%1%e%%1%b%%1%4%%1%f%%4%f%%0%2%%3%7%%1%5%%3%d%%3%7%%0%9%%1%8%%1%e%%1%6%%1%3%%1%a%%4%c%%0%2%%1%4%%1%5%%1%a%%3%7%%1%5%%3%0%%4%f%%0%2%%1%1%%1%b%%1%a%%3%7%%0%9%%3%4%%3%7%%3%6%%1%e%%1%5%%4%c%%1%a%%1%b%%3%0%%1%9%%1%8%%1%e%%4%f%%0%0%%4%a%%5%7%%4%e%%0%b%%1%5%%1%9%%4%a%%4%e%%1%5%%1%9%%0%2%%3%4%%3%7%%3%6%%1%e%%1%5%%4%9%%0%0%%1%7%%1%6%%3%4%%3%2%%1%e%%1%8%%3%6%%4%c%%1%0%%1%e%%1%b%%1%4%%1%f%%4%f%%0%2%%3%7%%1%5%%3%d%%3%7%%0%9%%1%8%%1%e%%1%6%%1%3%%1%a%%4%c%%0%2%%1%4%%1%5%%1%a%%3%7%%1%5%%3%0%%4%f%%0%2%%1%1%%1%b%%1%a%%3%7%%0%9%%3%4%%3%7%%3%6%%1%e%%1%5%%4%c%%1%a%%1%b%%3%0%%1%9%%1%8%%1%e%%4%f%%0%0%%4%a%%7%5%%4%e%%0%b%%1%5%%1%9%%4%a%%4%e%%0%b%%1%7%%1%6%%3%1%%4%a%%4%e%%0%b%%1%7%%1%6%%3%1%%4%a%%4%e%%1%6%%1%a%%3%2%%3%5%%3%7%%0%2%%3%7%%3%6%%3%2%%1%5%%4%9%%0%0%%1%d%%1%6%%1%7%%1%7%%1%5%%1%a%%0%0%%0%2%%1%6%%1%7%%4%9%%0%0%%3%7%%1%8%%1%0%%0%9%%3%4%%3%7%%1%8%%3%7%%1%5%%0%0%%0%2%%3%1%%1%8%%1%e%%3%5%%1%5%%4%9%%0%0%%1%d%%1%6%%1%7%%1%7%%1%5%%1%a%%0%0%%4%a%%4%e%%0%b%%1%7%%1%6%%3%1%%4%a%%0%3%%4%f%%2%c%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%1%c%%5%8%%3%5%%1%5%%3%0%%3%6%%0%d%%0%0%%0%4%%3%1%%1%6%%1%4%%1%5%%3%1%%1%5%%3%0%%3%4%%1%8%%0%9%%1%4%%1%b%%1%a%%3%7%%1%8%%1%6%%1%a%%1%5%%3%0%%0%0%%0%6%%0%a%%1%8%%1%1%%3%7%%1%5%%3%0%%0%d%%3%1%%1%6%%1%4%%1%5%%3%1%%1%5%%3%0%%3%4%%1%8%%5%b%%1%4%%1%b%%3%2%%3%6%%3%0%%1%6%%1%3%%1%d%%3%7%%0%6%%4%f%%2%c%%0%2%%0%2%%0%2%%0%2%%0%2%%2%c%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%3%1%%1%8%%3%0%%0%2%%3%2%%3%0%%1%5%%3%2%%1%1%%1%b%%3%0%%1%9%%0%2%%4%9%%0%2%%1%1%%3%5%%1%a%%1%4%%3%7%%1%6%%1%b%%1%a%%0%d%%0%6%%3%f%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%2%c%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%1%c%%5%8%%3%5%%1%5%%3%0%%3%6%%0%d%%0%0%%0%4%%3%1%%1%6%%1%4%%1%5%%3%1%%1%5%%3%0%%3%4%%1%8%%0%9%%1%4%%1%b%%1%a%%3%7%%1%8%%1%6%%1%a%%1%5%%3%0%%0%0%%0%6%%0%a%%3%4%%1%d%%1%b%%3%3%%0%d%%0%3%%3%4%%1%e%%1%b%%3%3%%0%3%%0%6%%4%f%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%2%c%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%1%c%%5%8%%3%5%%1%5%%3%0%%3%6%%0%d%%0%0%%0%4%%3%1%%1%6%%1%4%%1%5%%3%1%%1%5%%3%0%%3%4%%1%8%%0%9%%1%4%%1%b%%1%a%%3%7%%1%8%%1%6%%1%a%%1%5%%3%0%%0%2%%1%6%%1%a%%3%2%%3%5%%3%7%%0%0%%0%6%%0%a%%1%5%%1%8%%1%4%%1%d%%0%d%%1%1%%3%5%%1%a%%1%4%%3%7%%1%6%%1%b%%1%a%%0%d%%0%6%%3%f%%2%c%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%3%1%%1%8%%3%0%%0%2%%1%6%%1%7%%0%2%%4%9%%0%2%%1%c%%5%8%%3%5%%1%5%%3%0%%3%6%%0%d%%3%7%%1%d%%1%6%%3%4%%0%6%%0%a%%1%8%%3%7%%3%7%%3%0%%0%d%%0%3%%1%6%%1%7%%0%3%%0%6%%4%f%%2%c%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%1%c%%5%8%%3%5%%1%5%%3%0%%3%6%%0%d%%3%7%%1%d%%1%6%%3%4%%0%6%%0%a%%1%8%%3%7%%3%7%%3%0%%0%d%%3%f%%2%c%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%1%a%%1%8%%1%9%%1%5%%0%2%%4%c%%0%2%%1%6%%1%7%%0%e%%2%c%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%1%7%%1%6%%3%4%%1%8%%1%0%%1%e%%1%5%%1%7%%0%2%%4%c%%0%2%%0%3%%0%3%%2%c%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%3%9%%0%6%%4%f%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%2%c%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%3%9%%0%6%%4%f%%2%c%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%1%c%%5%8%%3%5%%1%5%%3%0%%3%6%%0%d%%0%0%%0%4%%3%1%%1%6%%1%4%%1%5%%3%1%%1%5%%3%0%%3%4%%1%8%%0%9%%1%4%%1%b%%1%a%%3%7%%1%8%%1%6%%1%a%%1%5%%3%0%%0%2%%3%4%%1%5%%1%e%%1%5%%1%4%%3%7%%0%0%%0%6%%0%a%%1%5%%1%8%%1%4%%1%d%%0%d%%1%1%%3%5%%1%a%%1%4%%3%7%%1%6%%1%b%%1%a%%0%d%%0%6%%3%f%%2%c%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%3%1%%1%8%%3%0%%0%2%%1%6%%1%7%%0%2%%4%9%%0%2%%1%c%%5%8%%3%5%%1%5%%3%0%%3%6%%0%d%%3%7%%1%d%%1%6%%3%4%%0%6%%0%a%%1%8%%3%7%%3%7%%3%0%%0%d%%0%3%%1%6%%1%7%%0%3%%0%6%%4%f%%2%c%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%1%c%%5%8%%3%5%%1%5%%3%0%%3%6%%0%d%%3%7%%1%d%%1%6%%3%4%%0%6%%0%a%%1%8%%3%7%%3%7%%3%0%%0%d%%3%f%%2%c%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%1%a%%1%8%%1%9%%1%5%%0%2%%4%c%%0%2%%1%6%%1%7%%0%e%%2%c%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%1%7%%1%6%%3%4%%1%8%%1%0%%1%e%%1%5%%1%7%%0%2%%4%c%%0%2%%0%3%%0%3%%2%c%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%3%9%%0%6%%4%f%%2%c%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%3%9%%0%6%%4%f%%2%c%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%1%c%%5%8%%3%5%%1%5%%3%0%%3%6%%0%d%%0%0%%0%4%%3%1%%1%6%%1%4%%1%5%%3%1%%1%5%%3%0%%3%4%%1%8%%5%b%%3%2%%1%8%%1%3%%1%5%%1%1%%1%b%%3%0%%1%9%%5%b%%1%0%%3%5%%3%7%%3%7%%1%b%%1%a%%0%0%%0%6%%0%a%%1%0%%1%6%%1%a%%1%7%%0%d%%0%3%%1%4%%1%e%%1%6%%1%4%%1%f%%0%3%%0%e%%1%1%%3%5%%1%a%%1%4%%3%7%%1%6%%1%b%%1%a%%0%d%%0%6%%3%f%%2%c%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%1%c%%5%8%%3%5%%1%5%%3%0%%3%6%%0%d%%0%0%%0%4%%3%1%%1%6%%1%4%%1%5%%3%1%%1%5%%3%0%%3%4%%1%8%%0%9%%3%2%%1%8%%1%3%%1%5%%1%1%%1%b%%3%0%%1%9%%0%0%%0%6%%0%a%%3%4%%3%5%%1%0%%1%9%%1%6%%3%7%%0%d%%0%6%%4%f%%2%c%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%3%9%%0%6%%4%f%%2%c%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%1%c%%5%8%%3%5%%1%5%%3%0%%3%6%%0%d%%0%0%%0%4%%3%1%%1%6%%1%4%%1%5%%3%1%%1%5%%3%0%%3%4%%1%8%%5%b%%3%2%%1%b%%3%4%%3%7%%1%1%%1%b%%3%0%%1%9%%5%b%%1%0%%3%5%%3%7%%3%7%%1%b%%1%a%%0%0%%0%6%%0%a%%1%0%%1%6%%1%a%%1%7%%0%d%%0%3%%1%4%%1%e%%1%6%%1%4%%1%f%%0%3%%0%e%%1%1%%3%5%%1%a%%1%4%%3%7%%1%6%%1%b%%1%a%%0%d%%0%6%%3%f%%2%c%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%1%c%%5%8%%3%5%%1%5%%3%0%%3%6%%0%d%%0%0%%0%4%%3%1%%1%6%%1%4%%1%5%%3%1%%1%5%%3%0%%3%4%%1%8%%0%9%%3%2%%1%b%%3%4%%3%7%%1%1%%1%b%%3%0%%1%9%%0%0%%0%6%%0%a%%3%4%%3%5%%1%0%%1%9%%1%6%%3%7%%0%d%%0%6%%4%f%%2%c%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%3%9%%0%6%%4%f%%2%c%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%1%c%%5%8%%3%5%%1%5%%3%0%%3%6%%0%d%%0%0%%0%4%%3%1%%1%6%%1%4%%1%5%%3%1%%1%5%%3%0%%3%4%%1%8%%0%9%%3%2%%1%8%%1%3%%1%5%%0%9%%1%1%%1%b%%3%0%%1%9%%0%0%%0%6%%0%a%%3%3%%3%0%%1%8%%3%2%%0%d%%0%3%%4%e%%1%1%%1%b%%3%0%%1%9%%0%2%%1%6%%1%7%%4%9%%0%0%%3%1%%1%6%%1%4%%1%5%%3%1%%1%5%%3%0%%3%4%%1%8%%0%9%%3%2%%1%8%%1%3%%1%5%%1%1%%1%b%%3%0%%1%9%%0%0%%0%2%%1%9%%1%5%%3%7%%1%d%%1%b%%1%7%%4%9%%0%0%%5%2%%7%b%%5%4%%5%7%%0%0%%0%2%%1%8%%1%4%%3%7%%1%6%%1%b%%1%a%%4%9%%0%0%%0%4%%0%0%%4%a%%4%e%%0%b%%1%1%%1%b%%3%0%%1%9%%4%a%%0%3%%0%6%%4%f%%2%c%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%1%c%%5%8%%3%5%%1%5%%3%0%%3%6%%0%d%%0%0%%0%4%%3%1%%1%6%%1%4%%1%5%%3%1%%1%5%%3%0%%3%4%%1%8%%0%9%%3%2%%1%b%%3%4%%3%7%%0%9%%1%1%%1%b%%3%0%%1%9%%0%0%%0%6%%0%a%%3%3%%3%0%%1%8%%3%2%%0%d%%0%3%%4%e%%1%1%%1%b%%3%0%%1%9%%0%2%%1%6%%1%7%%4%9%%0%0%%3%1%%1%6%%1%4%%1%5%%3%1%%1%5%%3%0%%3%4%%1%8%%0%9%%3%2%%1%b%%3%4%%3%7%%1%1%%1%b%%3%0%%1%9%%0%0%%0%2%%1%9%%1%5%%3%7%%1%d%%1%b%%1%7%%4%9%%0%0%%5%2%%7%b%%5%4%%5%7%%0%0%%0%2%%1%8%%1%4%%3%7%%1%6%%1%b%%1%a%%4%9%%0%0%%0%4%%0%0%%4%a%%4%e%%0%b%%1%1%%1%b%%3%0%%1%9%%4%a%%0%3%%0%6%%4%f%%2%c%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%1%c%%5%8%%3%5%%1%5%%3%0%%3%6%%0%d%%0%0%%0%4%%3%1%%1%6%%1%4%%1%5%%3%1%%1%5%%3%0%%3%4%%1%8%%0%9%%1%b%%3%0%%1%7%%1%5%%3%0%%0%9%%1%1%%1%b%%3%0%%1%9%%0%0%%0%6%%0%a%%3%3%%3%0%%1%8%%3%2%%0%d%%0%3%%4%e%%1%1%%1%b%%3%0%%1%9%%0%2%%1%6%%1%7%%4%9%%0%0%%3%1%%1%6%%1%4%%1%5%%3%1%%1%5%%3%0%%3%4%%1%8%%0%9%%1%b%%3%0%%1%7%%1%5%%3%0%%1%1%%1%b%%3%0%%1%9%%0%0%%0%2%%1%9%%1%5%%3%7%%1%d%%1%b%%1%7%%4%9%%0%0%%5%2%%7%b%%5%4%%5%7%%0%0%%0%2%%1%8%%1%4%%3%7%%1%6%%1%b%%1%a%%4%9%%0%0%%0%4%%0%0%%4%a%%4%e%%0%b%%1%1%%1%b%%3%0%%1%9%%4%a%%0%3%%0%6%%4%f%%0%2%%2%c%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%2%c%%2%c%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%2%c%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%3%9%%4%f%%2%c%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%3%2%%3%0%%1%5%%3%2%%1%1%%1%b%%3%0%%1%9%%0%d%%0%6%%4%f%%0%2%%0%2%%0%2%%2%c%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%2%c%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%1%c%%5%8%%3%5%%1%5%%3%0%%3%6%%0%d%%0%0%%0%4%%1%7%%1%b%%1%a%%1%8%%3%7%%1%5%%0%9%%3%7%%1%8%%1%0%%0%0%%0%6%%0%a%%1%0%%1%6%%1%a%%1%7%%0%d%%0%3%%1%4%%1%e%%1%6%%1%4%%1%f%%0%3%%0%e%%1%1%%3%5%%1%a%%1%4%%3%7%%1%6%%1%b%%1%a%%0%d%%0%6%%3%f%%2%c%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%1%6%%1%1%%0%d%%1%c%%5%8%%3%5%%1%5%%3%0%%3%6%%0%d%%0%0%%0%4%%3%7%%1%8%%1%0%%0%9%%3%4%%3%7%%1%8%%3%7%%1%5%%0%0%%0%6%%0%a%%3%1%%1%8%%1%e%%0%d%%0%6%%0%2%%4%9%%4%9%%0%2%%0%3%%1%d%%1%6%%1%7%%1%7%%1%5%%1%a%%0%3%%0%6%%3%f%%2%c%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%1%c%%5%8%%3%5%%1%5%%3%0%%3%6%%0%d%%0%0%%0%4%%3%7%%1%8%%1%0%%0%9%%3%4%%3%7%%1%8%%3%7%%1%5%%0%0%%0%6%%0%a%%3%1%%1%8%%1%e%%0%d%%0%3%%3%1%%1%6%%3%4%%1%6%%1%0%%1%e%%1%5%%0%3%%0%6%%4%f%%2%c%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%1%c%%5%8%%3%5%%1%5%%3%0%%3%6%%0%d%%0%0%%0%4%%3%1%%1%6%%1%4%%1%5%%3%1%%1%5%%3%0%%3%4%%1%8%%0%9%%1%4%%1%b%%3%2%%3%6%%3%0%%1%6%%1%3%%1%d%%3%7%%0%0%%0%6%%0%a%%1%8%%1%a%%1%6%%1%9%%1%8%%3%7%%1%5%%0%d%%3%f%%0%2%%2%c%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%1%e%%1%5%%1%1%%3%7%%4%c%%0%2%%0%3%%0%f%%4%9%%4%0%%4%2%%4%2%%0%3%%2%c%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%3%9%%0%e%%0%2%%4%8%%4%2%%4%2%%4%2%%0%e%%0%2%%1%1%%3%5%%1%a%%1%4%%3%7%%1%6%%1%b%%1%a%%0%d%%0%6%%0%2%%3%f%%2%c%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%1%c%%5%8%%3%5%%1%5%%3%0%%3%6%%0%d%%0%0%%0%4%%3%1%%1%6%%1%4%%1%5%%3%1%%1%5%%3%0%%3%4%%1%8%%0%9%%1%4%%1%b%%3%2%%3%6%%3%0%%1%6%%1%3%%1%d%%3%7%%0%0%%0%6%%0%a%%1%4%%3%4%%3%4%%0%d%%0%3%%3%c%%0%9%%1%6%%1%a%%1%7%%1%5%%3%d%%0%3%%0%e%%0%3%%4%8%%4%2%%4%2%%4%2%%0%3%%0%6%%4%f%%2%c%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%1%c%%5%8%%3%5%%1%5%%3%0%%3%6%%0%d%%0%0%%0%4%%3%1%%1%6%%1%4%%1%5%%3%1%%1%5%%3%0%%3%4%%1%8%%0%9%%3%2%%1%8%%1%3%%1%5%%0%9%%1%1%%1%b%%3%0%%1%9%%0%0%%0%6%%0%a%%1%4%%3%4%%3%4%%0%d%%0%3%%3%c%%0%9%%1%6%%1%a%%1%7%%1%5%%3%d%%0%3%%0%e%%0%3%%4%8%%0%3%%0%6%%4%f%%2%c%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%3%9%%0%6%%4%f%%2%c%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%1%c%%5%8%%3%5%%1%5%%3%0%%3%6%%0%d%%0%0%%0%4%%3%1%%1%6%%1%4%%1%5%%3%1%%1%5%%3%0%%3%4%%1%8%%0%9%%1%4%%1%b%%3%2%%3%6%%3%0%%1%6%%1%3%%1%d%%3%7%%0%0%%0%6%%0%a%%1%8%%1%a%%1%6%%1%9%%1%8%%3%7%%1%5%%0%d%%3%f%%0%2%%2%c%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%1%e%%1%5%%1%1%%3%7%%4%c%%0%2%%0%3%%0%9%%4%9%%4%0%%4%2%%4%2%%0%3%%2%c%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%3%9%%0%e%%0%2%%4%8%%4%2%%4%2%%4%2%%0%6%%4%f%%2%c%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%3%9%%0%2%%1%5%%1%e%%3%4%%1%5%%0%2%%3%f%%2%c%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%1%c%%5%8%%3%5%%1%5%%3%0%%3%6%%0%d%%0%0%%0%4%%3%7%%1%8%%1%0%%0%9%%3%4%%3%7%%1%8%%3%7%%1%5%%0%0%%0%6%%0%a%%3%1%%1%8%%1%e%%0%d%%0%3%%3%1%%1%6%%3%4%%1%6%%1%0%%1%e%%1%5%%0%3%%0%6%%4%f%%2%c%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%1%c%%5%8%%3%5%%1%5%%3%0%%3%6%%0%d%%0%0%%0%4%%3%1%%1%6%%1%4%%1%5%%3%1%%1%5%%3%0%%3%4%%1%8%%0%9%%1%4%%1%b%%3%2%%3%6%%3%0%%1%6%%1%3%%1%d%%3%7%%0%0%%0%6%%0%a%%1%8%%1%a%%1%6%%1%9%%1%8%%3%7%%1%5%%0%d%%3%f%%0%2%%2%c%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%1%e%%1%5%%1%1%%3%7%%4%c%%0%2%%0%3%%0%f%%4%9%%4%0%%4%2%%4%2%%0%3%%2%c%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%3%9%%0%e%%0%2%%4%8%%4%2%%4%2%%4%2%%0%e%%0%2%%1%1%%3%5%%1%a%%1%4%%3%7%%1%6%%1%b%%1%a%%0%d%%0%6%%0%2%%3%f%%2%c%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%1%c%%5%8%%3%5%%1%5%%3%0%%3%6%%0%d%%0%0%%0%4%%3%1%%1%6%%1%4%%1%5%%3%1%%1%5%%3%0%%3%4%%1%8%%0%9%%1%4%%1%b%%3%2%%3%6%%3%0%%1%6%%1%3%%1%d%%3%7%%0%0%%0%6%%0%a%%1%4%%3%4%%3%4%%0%d%%0%3%%3%c%%0%9%%1%6%%1%a%%1%7%%1%5%%3%d%%0%3%%0%e%%0%3%%4%8%%0%3%%0%6%%4%f%%2%c%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%1%c%%5%8%%3%5%%1%5%%3%0%%3%6%%0%d%%0%0%%0%4%%3%1%%1%6%%1%4%%1%5%%3%1%%1%5%%3%0%%3%4%%1%8%%0%9%%3%2%%1%8%%1%3%%1%5%%0%9%%1%1%%1%b%%3%0%%1%9%%0%0%%0%6%%0%a%%1%4%%3%4%%3%4%%0%d%%0%3%%3%c%%0%9%%1%6%%1%a%%1%7%%1%5%%3%d%%0%3%%0%e%%0%3%%4%8%%4%2%%4%2%%4%2%%0%3%%0%6%%4%f%%2%c%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%3%9%%0%6%%4%f%%2%c%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%1%c%%5%8%%3%5%%1%5%%3%0%%3%6%%0%d%%0%0%%0%4%%3%7%%1%8%%1%0%%0%9%%3%4%%3%7%%1%8%%3%7%%1%5%%0%0%%0%6%%0%a%%3%1%%1%8%%1%e%%0%d%%0%3%%1%d%%1%6%%1%7%%1%7%%1%5%%1%a%%0%3%%0%6%%4%f%%2%c%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%1%c%%5%8%%3%5%%1%5%%3%0%%3%6%%0%d%%0%0%%0%4%%3%1%%1%6%%1%4%%1%5%%3%1%%1%5%%3%0%%3%4%%1%8%%0%9%%1%4%%1%b%%3%2%%3%6%%3%0%%1%6%%1%3%%1%d%%3%7%%0%0%%0%6%%0%a%%1%8%%1%a%%1%6%%1%9%%1%8%%3%7%%1%5%%0%d%%3%f%%0%2%%2%c%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%1%e%%1%5%%1%1%%3%7%%4%c%%0%2%%0%3%%0%9%%4%9%%4%0%%4%2%%4%2%%0%3%%2%c%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%3%9%%0%e%%0%2%%4%8%%4%2%%4%2%%4%2%%0%6%%4%f%%2%c%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%3%9%%2%c%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%2%c%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%3%9%%0%6%%4%f%%2%c%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%2%c%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%1%c%%5%8%%3%5%%1%5%%3%0%%3%6%%0%d%%0%0%%0%4%%3%7%%1%8%%1%0%%0%9%%3%4%%3%7%%1%8%%3%7%%1%5%%0%0%%0%6%%0%a%%3%1%%1%8%%1%e%%0%d%%0%3%%3%1%%1%6%%3%4%%1%6%%1%0%%1%e%%1%5%%0%3%%0%6%%4%f%%2%c%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%1%c%%5%8%%3%5%%1%5%%3%0%%3%6%%0%d%%0%0%%0%4%%3%1%%1%6%%1%4%%1%5%%3%1%%1%5%%3%0%%3%4%%1%8%%0%9%%1%4%%1%b%%3%2%%3%6%%3%0%%1%6%%1%3%%1%d%%3%7%%0%0%%0%6%%0%a%%1%8%%1%a%%1%6%%1%9%%1%8%%3%7%%1%5%%0%d%%3%f%%0%2%%1%e%%1%5%%1%1%%3%7%%4%c%%0%2%%0%3%%0%f%%4%9%%4%0%%4%4%%4%2%%0%3%%3%9%%0%e%%0%2%%4%8%%4%2%%4%2%%4%2%%0%e%%0%2%%1%1%%3%5%%1%a%%1%4%%3%7%%1%6%%1%b%%1%a%%0%d%%0%6%%0%2%%3%f%%2%c%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%1%c%%5%8%%3%5%%1%5%%3%0%%3%6%%0%d%%0%0%%0%4%%3%1%%1%6%%1%4%%1%5%%3%1%%1%5%%3%0%%3%4%%1%8%%0%9%%1%4%%1%b%%3%2%%3%6%%3%0%%1%6%%1%3%%1%d%%3%7%%0%0%%0%6%%0%a%%1%4%%3%4%%3%4%%0%d%%0%3%%3%c%%0%9%%1%6%%1%a%%1%7%%1%5%%3%d%%0%3%%0%e%%0%3%%4%8%%0%3%%0%6%%4%f%%2%c%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%1%c%%5%8%%3%5%%1%5%%3%0%%3%6%%0%d%%0%0%%0%4%%3%1%%1%6%%1%4%%1%5%%3%1%%1%5%%3%0%%3%4%%1%8%%0%9%%3%2%%1%8%%1%3%%1%5%%0%9%%1%1%%1%b%%3%0%%1%9%%0%0%%0%6%%0%a%%1%4%%3%4%%3%4%%0%d%%0%3%%3%c%%0%9%%1%6%%1%a%%1%7%%1%5%%3%d%%0%3%%0%e%%0%3%%4%8%%4%2%%4%2%%4%2%%0%3%%0%6%%4%f%%2%c%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%3%9%%0%6%%4%f%%2%c%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%2%c%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%1%c%%5%8%%3%5%%1%5%%3%0%%3%6%%0%d%%0%0%%0%4%%3%1%%1%6%%1%4%%1%5%%3%1%%1%5%%3%0%%3%4%%1%8%%0%9%%1%4%%1%b%%3%2%%3%6%%3%0%%1%6%%1%3%%1%d%%3%7%%0%0%%0%6%%0%a%%1%8%%1%a%%1%6%%1%9%%1%8%%3%7%%1%5%%0%d%%3%f%%0%2%%1%e%%1%5%%1%1%%3%7%%4%c%%0%2%%0%3%%0%9%%4%9%%4%8%%4%6%%4%d%%0%3%%3%9%%0%e%%0%2%%4%8%%4%2%%4%2%%4%2%%0%6%%4%f%%2%c%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%0%2%%1%c%%5%8%%3%5%%1%5%%3%0%%3%6%%0%d%%0%0%%0%4%%3%7%%1%8%%1%0%%0%9%%3%4%%3%7%%1%8%%3%7%%1%5%%0%0%%0%6%%0%a%%3%1%%1%8%%1%e%%0%d%%0%3%%1%d%%1%6%%1%7%%1%7%%1%5%%1%a%%0%3%%0%6%%4%f%%2%c%%0%2%%0%2%%0%2%%0%2%%3%9%%0%6%%4%f%i%h%w%r%n%v%p%x%s%n%A%g%8%6%j%g%0%8%k%E%x%w%j%g%0%8%K%8%2%k%o%m%p%r%o%n%A%g%0%8%h%m%B%C%m%A%o%m%p%r%o%n%A%N%p%o%x%n%J%q%w%o%s%O%e%g%t%o%e%s%y%m%j%g%0%8%u%5%5%k%h%I%g%7%l%i%i%h%g%3%l%i%%1%d%%4%1%%4%9%%1%7%%1%b%%1%4%%3%5%i%h%g%8%l%g%0%q%C%D%B%x%p%j%i%%i%k%h%g%1%l%i%i%h%g%8%3%l%i%%1%5%%3%1%%1%8%%1%e%%0%d%%3%5%%1%a%%1%5%%3%4%%1%4%%1%8%%3%2%%1%5%%0%d%%1%d%%4%7%%0%6%%0%6%i%h%w%s%o%j%g%4%l%8%h%g%4%K%g%8%q%B%m%n%J%p%g%h%g%4%u%u%k%E%g%7%u%l%r%n%m%C%v%t%D%m%j%i%%i%u%g%8%5%j%r%n%m%C%v%t%D%m%j%i%%i%u%g%8%P%g%4%Q%k%q%v%g%t%o%e%s%y%m%c%p%j%2%k%R%g%1%q%v%g%t%o%e%s%y%m%c%p%j%g%5%k%k%k%h%g%5%u%u%h%x%w%j%g%5%l%l%g%1%q%B%m%n%J%p%g%k%g%5%l%2%h%I%h%m%S%t%B%j%r%n%m%C%v%t%D%m%j%g%8%3%k%k\'));',55,55,'32|36|30|37|33|35|39|34|31|44|45|46|41|38|43|42|68|3B|27|28|29|3D|65|6E|72|74|2E|75|6F|61|2B|63|66|69|64|2D|20|6C|73|70|7B|4D|2F|2A|7D|67|3C|eval|unescape|53|6D|5B|5D|5E|76'.split('|'),0,{}))
    
-->    
</script>
<?php } ?>